package com.tzld.piaoquan.recommend.feature.domain.ad.base;


import lombok.Getter;
import lombok.NoArgsConstructor;

@Getter
@NoArgsConstructor
public class AdRequestContext {

    // 机型等信息
    private String apptype="-1";
    private String machineinfoBrand="-1";
    private String machineinfoModel="-1";
    private String machineinfoSdkversion="-1";
    private String machineinfoWechatversion="-1";

    // 时间等信息
    private String day="-1";
    private String week="-1";
    private String hour="-1";
    private String region="-1";
    private String city="-1";

    // position 信息
    private String ownAdPositionId;



    public void setApptype(String apptype) {
        this.apptype = apptype;
        if (apptype == null)
            this.apptype = "-1";
    }

    public void setMachineinfoBrand(String machineinfoBrand) {
        this.machineinfoBrand = machineinfoBrand;
        if (machineinfoBrand == null)
            this.machineinfoBrand = "-1";
    }

    public void setMachineinfoModel(String machineinfoModel) {
        this.machineinfoModel = machineinfoModel;
        if (machineinfoModel == null)
            this.machineinfoModel = "-1";
    }


    public void setMachineinfoWchatversion(String machineinfo_wechatversion) {
        this.machineinfoWechatversion = machineinfo_wechatversion;
        if (machineinfo_wechatversion == null)
            this.machineinfoWechatversion = "-1";
    }


    public void setMachineinfoSdkversion(String machineinfo_sdkversion) {
        this.machineinfoSdkversion = machineinfo_sdkversion;
        if (machineinfoSdkversion == null)
            this.machineinfoSdkversion = "-1";
    }



    public void setHour(String hour) {
        this.hour = hour;
        if (hour == null)
            this.hour = "-1";
    }


    public void setDay(String day) {
        this.day = day;
        if (day == null)
            this.day = "-1";
    }

    public void setWeek(String week) {
        this.week = week;
        if (week == null)
            this.week = "-1";
    }


    public void setRegion(String region) {
        this.region = region;
        if (region == null)
            this.region = "-1";
    }


    public void setCity(String city) {
        this.city = city;
        if (city == null)
            this.city = "-1";
    }


}
