package com.tzld.piaoquan.recommend.feature.domain.ad.base;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;


@Getter
@NoArgsConstructor
@Setter
public class UserAdFeature {

    private String mid = "0";


    // 当天统计量信息
    private AdActionFeature day1_cnt_features = new AdActionFeature();
    // 3天内统计量
    private AdActionFeature day3_cnt_features = new AdActionFeature();
    // 7天内统计量
    private AdActionFeature day7_cnt_features = new AdActionFeature();
    // 3个月统计量
    private AdActionFeature month3_cnt_features = new AdActionFeature();



    public void setMid(String key) {
        this.mid = key;
        if (key == null)
            this.mid = "0";
    }

    public void setDay1_cnt_features(AdActionFeature key) {
        this.day1_cnt_features = key;
        if (key == null)
            this.day1_cnt_features = new AdActionFeature();
    }

    public void setDay3_cnt_features(AdActionFeature key) {
        this.day3_cnt_features = key;
        if (key == null)
            this.day3_cnt_features = new AdActionFeature();
    }

    public void setDay7_cnt_features(AdActionFeature key) {
        this.day7_cnt_features = key;
        if (key == null)
            this.day7_cnt_features = new AdActionFeature();
    }

    public void setMonth3_cnt_features(AdActionFeature key) {
        this.month3_cnt_features = key;
        if (key == null)
            this.month3_cnt_features = new AdActionFeature();
    }


    public String getKey() {
        return this.mid;
    }

    public String getValue() {
        Gson gson = new GsonBuilder().serializeSpecialFloatingPointValues().create();
        return gson.toJson(this);
    }

}
