package com.tzld.piaoquan.recommend.feature.domain.video.base;

import lombok.Data;

import java.time.LocalDateTime;

@Data
public class AlgRecsysVideoInfo {

    private Long videoid; // 视频id
    private String title; // 视频标题
    private String distrubuteTitle; // 视频分发标题
    private String videoCategory; // 视频种类
    private String tagName; // 视频一级标签
    private LocalDateTime gmtCreate; // 上传时间
    private String tags; // 视频内容标签
    private Long uid; // 生产者id
    private String videoEdit; // 视频审核状态
    private String videoDataStat; // 视频的数据状态
    private String videoRecommend; // 视频可搜状态
    private String isImg; // 视频分发封面
    private Double existenceDays; // 发布距今天数
    private String videoUrl; // 后台视频链接
    private Long totalTime; // 视频时长
    private Long playCount; // 播放人数
    private Long playCountTotal; // 播放次数
    private Double totalReward; // 赞赏总金额
    private Double currentdayReward; // 当日赞赏金额
    private Long totalRewardTimes; // 赞赏次数
    private Long rewardPerson; // 赞赏人数
    private Long totalPrice; // 付费总金额
    private Long currentdayPrice; // 当日付费金额
    private Long totalPriceTimes; // 付费次数
    private Long totalPricePerson; // 付费人数
    private String appRecommendStatus; // app推荐状态
    private String charge; // 收费状态
    private String isPwd; // 是否加密
    private Long width; // 视频宽度
    private Long height; // 视频高度
    private String tagName2; // 二级标签
    private String tagName3; // 三级标签
    private String ifCreate; // 是否为创作视频
    private String ifChange; // 是否再创作
    private Long appType; // 发布端
    private String descr; // 视频简介
    private String videoType; // 视频创作类型
    private String ifInYouthcommunity; // 是否进入青年社区
    private String ifInAgedcommunity; // 是否进入老年社区
    private String topicName; // 话题名称
    private String i1dayExpCnt;
    private String i1dayClickCnt;
    private String i1dayShareCnt;
    private String i1dayReturnCnt;
    private String iCtr1day;
    private String iStr1day;
    private String iRov1day;
    private String iRos1day;
    private String i3dayExpCnt;
    private String i3dayClickCnt;
    private String i3dayShareCnt;
    private String i3dayReturnCnt;
    private String iCtr3day;
    private String iStr3day;
    private String iRov3day;
    private String iRos3day;
    private String i7dayExpCnt;
    private String i7dayClickCnt;
    private String i7dayShareCnt;
    private String i7dayReturnCnt;
    private String iCtr7day;
    private String iStr7day;
    private String iRov7day;
    private String iRos7day;
    private String i3monthExpCnt;
    private String i3monthClickCnt;
    private String i3monthShareCnt;
    private String i3monthReturnCnt;
    private String iCtr3month;
    private String iStr3month;
    private String iRov3month;
    private String iRos3month;
}
