package com.tzld.piaoquan.recommend.feature.domain.video.base;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author sunxy
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class UserFeatureInfo {
    private String mid;
    private String machineinfoBrand;
    private String machineinfoModel;
    private String machineinfoSystem;
    private String machineinfoPlatform;
    private String gender; // 性别
    private String country; // 国家
    private String province; // 省份
    private String city; // 市
    /*
    过去一小时
    */
    private Long u1hourExpCnt;
    private Long u1hourClickCnt;
    private Long u1hourShareCnt;
    private Long u1hourReturnCnt;
    private Double uCtr1hour;
    private Double uStr1hour;
    private Double uRov1hour;
    private Double uRos1hour;
    /*
    今天
     */
    private Long uTodayExpCnt;
    private Long uTodayClickCnt;
    private Long uTodayShareCnt;
    private Long uTodayReturnCnt;
    private Double uCtrToday;
    private Double uStrToday;
    private Double uRovToday;
    private Double uRosToday;
    /*
    过去一天
     */
    private Long u1dayExpCnt;
    private Long u1dayClickCnt;
    private Long u1dayShareCnt;
    private Long u1dayReturnCnt;
    private Double uCtr1day;
    private Double uStr1day;
    private Double uRov1day;
    private Double uRos1day;
    /*
    过去三天
     */
    private Long u3dayExpCnt;
    private Long u3dayClickCnt;
    private Long u3dayShareCnt;
    private Long u3dayReturnCnt;
    private Double uCtr3day;
    private Double uStr3day;
    private Double uRov3day;
    private Double uRos3day;

}
