package com.tzld.piaoquan.recommend.feature.domain.ad.base;

import lombok.Data;
import lombok.Getter;

@Getter
public class AdActionFeature {
    private double adView=0d;
    private double adClick=0d;
    private double adConversion=0d;

    private double ctr=0d;
    private double cvr=0d;


    public void setAdView(Object key) {
        if (key == null) {
            this.adView = 0.0;
        } else {
            String formateKey = key.toString().replace("\\N", "0");
            this.adView = Double.valueOf(formateKey);
        }
    }

    public void setAdClick(Object key) {
        if (key == null) {
            this.adClick = 0.0;
        } else {
            String formateKey = key.toString().replace("\\N", "0");
            this.adClick = Double.valueOf(formateKey);
        }
    }

    public void setAdConversion(Object key) {
        if (key == null) {
            this.adConversion = 0.0;
        } else {
            String formateKey = key.toString().replace("\\N", "0");
            this.adConversion = Double.valueOf(formateKey);
        }
    }

    // redis中保存原始值  server段统一处理
    public void setCtr(Object key) {
        if (key == null) {
            this.ctr = 0.0;
        } else {
            String formateKey = key.toString().replace("\\N", "0");
            this.ctr = Double.valueOf(formateKey);
        }
    }

    public void setCvr(Object key) {
        if (key == null) {
            this.cvr = 0.0;
        } else {
            String formateKey = key.toString().replace("\\N", "0");
            this.cvr = Double.valueOf(formateKey);
        }
    }



    public static void main(String args[]){

        AdActionFeature adActionFeature  = new AdActionFeature();
        System.out.println(String.valueOf(adActionFeature.getAdView()));
    }

}
