package com.tzld.piaoquan.recommend.feature.domain.video.base;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * 用户特征
 *
 * @author sunxy
 */
@Data
public class AlgRecsysUserInfo {
    private Long uid;
    private String mids; // 设备唯一标识
    private String nickName; // 微信昵称
    private String longvideoNickName; // 小程序昵称
    private String gender; // 性别
    private String userType; // 用户身份
    private String phoneNumber; // 联系方式
    private LocalDateTime gmtCreate; // 创建时间
    private Long gmtCreateTimestamp; // 创建时间戳
    private String tags; // 用户内容标签
    private String categoryName; // 场景
    private String isvip; // 是否开通vip
    private String isreward; // 是否开通赞赏
    private String isad; // 是否开通广告
    private String isgood; // 是否开通商品权限
    private String firstUpDatetime; // 首次上传时间
    private String lastUpDatetime; // 最后一次上传时间
    private String nextToLastUpDatetime; // 倒数第二次上传时间
    private Long videos; // 上传视频数
    private Long todayVideos; // 今日上传视频数
    private Long idols; // 关注的人数
    private Long fans; // 粉丝数
    private Long playCount; // 累计播放人数
    private Long playCountTotal; // 累计播放次数
    private Double totalReward; // 赞赏总金额
    private Double currentdayReward; // 当日赞赏金额
    private Long rewardPerson; // 赞赏人数
    private Long totalRewardTimes; // 赞赏次数
    private Long rewardVideos; // 赞赏视频数
    private Long totalPrice; // 付费总金额
    private Long currentdayPrice; // 当日付费金额
    private Long totalPriceTimes; // 付费次数
    private Long totalPricePerson; // 付费人数
    private Long totalPriceVideos; // 付费视频数
    private String cgrainUserType; // 粗粒度身份
    private String identityTagname; // 用户身份标签
    private String operationTags; // 用户运营标签
    private Long identityTagId; // 用户身份标签号
    private LocalDateTime identityCreateTime; // 用户身份标签创建时间
    private String country; // 国家
    private String province; // 省份
    private String city; // 市
    private String u1dayExpCnt;
    private String u1dayClickCnt;
    private String u1dayShareCnt;
    private String u1dayReturnCnt;
    private String uCtr1day;
    private String uStr1day;
    private String uRov1day;
    private String uRos1day;
    private String u3dayExpCnt;
    private String u3dayClickCnt;
    private String u3dayShareCnt;
    private String u3dayReturnCnt;
    private String uCtr3day;
    private String uStr3day;
    private String uRov3day;
    private String uRos3day;
    private String u7dayExpCnt;
    private String u7dayClickCnt;
    private String u7dayShareCnt;
    private String u7dayReturnCnt;
    private String uCtr7day;
    private String uStr7day;
    private String uRov7day;
    private String uRos7day;
    private String u3monthExpCnt;
    private String u3monthClickCnt;
    private String u3monthShareCnt;
    private String u3monthReturnCnt;
    private String uCtr3month;
    private String uStr3month;
    private String uRov3month;
    private String uRos3month;
    private String uCycleBucket7days;
    private String uCycleBucket30days;
    private String uShareBucket30days;
    private String machineinfoBrand;
    private String machineinfoModel;
    private String machineinfoPlatform;
    private String machineinfoSdkversion;
    private String machineinfoSystem;
    private String machineinfoWechatversion;
    private String u1monthExpCnt;
    private String u1monthClickCnt;
    private String u1monthShareCnt;
    private String u1monthReturnCnt;
    private String uCtr1month;
    private String uStr1month;
    private String uRov1month;
    private String uRos1month;
}
