package com.tzld.piaoquan.recommend.feature.domain.video.base;


import lombok.Data;

@Data
public class RequestContextBytesFeature {
    private final byte[] apptype;
    private final byte[]  machineinfo_brand;
    private final byte[]  machineinfo_model;
    private final byte[]  machineinfo_platform;
    private final byte[]  machineinfo_sdkversion;
    private final byte[]  machineinfo_system;
    private final byte[]  machineinfo_wechatversion;

    // 时间等信息
    private final byte[]  day;
    private final byte[]  week;
    private final byte[]  hour;
    private final byte[]  region;
    private final byte[]  city;


    public RequestContextBytesFeature(RequestContext requestContext){
        apptype = requestContext.getApptype().getBytes();
        machineinfo_brand = requestContext.getMachineinfo_brand().getBytes();
        machineinfo_model = requestContext.getMachineinfo_model().getBytes();
        machineinfo_platform = requestContext.getMachineinfo_platform().getBytes();
        machineinfo_sdkversion = requestContext.getMachineinfo_sdkversion().getBytes();
        machineinfo_system = requestContext.getMachineinfo_system().getBytes();
        machineinfo_wechatversion = requestContext.getMachineinfo_wechatversion().getBytes();

        day = requestContext.getDay().getBytes();
        week = requestContext.getWeek().getBytes();
        hour = requestContext.getHour().getBytes();
        region = requestContext.getRegion().getBytes();
        city = requestContext.getCity().getBytes();
    }





}
