package com.tzld.piaoquan.recommend.feature.domain.video.base;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author sunxy
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class VideoFeatureInfo {

    private Long videoId;
    private Long playCountTotal;
    private Integer totalTime;
    private String gmtCreate;
    /**
     * 上传者
     */
    private Long uid;
    /**
     * 过去十五分钟
     */
    private Long i15minExpCnt;
    private Long i15minClickCnt;
    private Long i15minShareCnt;
    private Long i15minReturnCnt;
    private Double iCtr15min;
    private Double iStr15min;
    private Double iRov15min;
    private Double iRos15min;
    /**
     * 过去一小时
     */
    private Long i1hourExpCnt;
    private Long i1hourClickCnt;
    private Long i1hourShareCnt;
    private Long i1hourReturnCnt;
    private Double iCtr1hour;
    private Double iStr1hour;
    private Double iRov1hour;
    private Double iRos1hour;
    /**
     * 今天
     */
    private Long iTodayExpCnt;
    private Long iTodayClickCnt;
    private Long iTodayShareCnt;
    private Long iTodayReturnCnt;
    private Double iCtrToday;
    private Double iStrToday;
    private Double iRovToday;
    private Double iRosToday;
    /*
    过去一天
     */
    private Long i1dayExpCnt;
    private Long i1dayClickCnt;
    private Long i1dayShareCnt;
    private Long i1dayReturnCnt;
    private Double iCtr1day;
    private Double iStr1day;
    private Double iRov1day;
    private Double iRos1day;
    /*
    过去三天
     */
    private Long i3dayExpCnt;
    private Long i3dayClickCnt;
    private Long i3dayShareCnt;
    private Long i3dayReturnCnt;
    private Double iCtr3day;
    private Double iStr3day;
    private Double iRov3day;
    private Double iRos3day;


}
