package com.tzld.piaoquan.recommend.feature.model.feature;

import static io.grpc.MethodDescriptor.generateFullMethodName;
import static io.grpc.stub.ClientCalls.asyncBidiStreamingCall;
import static io.grpc.stub.ClientCalls.asyncClientStreamingCall;
import static io.grpc.stub.ClientCalls.asyncServerStreamingCall;
import static io.grpc.stub.ClientCalls.asyncUnaryCall;
import static io.grpc.stub.ClientCalls.blockingServerStreamingCall;
import static io.grpc.stub.ClientCalls.blockingUnaryCall;
import static io.grpc.stub.ClientCalls.futureUnaryCall;
import static io.grpc.stub.ServerCalls.asyncBidiStreamingCall;
import static io.grpc.stub.ServerCalls.asyncClientStreamingCall;
import static io.grpc.stub.ServerCalls.asyncServerStreamingCall;
import static io.grpc.stub.ServerCalls.asyncUnaryCall;
import static io.grpc.stub.ServerCalls.asyncUnimplementedStreamingCall;
import static io.grpc.stub.ServerCalls.asyncUnimplementedUnaryCall;

/**
 */
@javax.annotation.Generated(
    value = "by gRPC proto compiler (version 1.34.1)",
    comments = "Source: com/tzld/piaoquan/recommend/feature/featureV2.proto")
public final class FeatureV2ServiceGrpc {

  private FeatureV2ServiceGrpc() {}

  public static final String SERVICE_NAME = "FeatureV2Service";

  // Static method descriptors that strictly reflect the proto.
  private static volatile io.grpc.MethodDescriptor<com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureRequest,
      com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureResponse> getMultiGetFeatureMethod;

  @io.grpc.stub.annotations.RpcMethod(
      fullMethodName = SERVICE_NAME + '/' + "MultiGetFeature",
      requestType = com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureRequest.class,
      responseType = com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureResponse.class,
      methodType = io.grpc.MethodDescriptor.MethodType.UNARY)
  public static io.grpc.MethodDescriptor<com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureRequest,
      com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureResponse> getMultiGetFeatureMethod() {
    io.grpc.MethodDescriptor<com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureRequest, com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureResponse> getMultiGetFeatureMethod;
    if ((getMultiGetFeatureMethod = FeatureV2ServiceGrpc.getMultiGetFeatureMethod) == null) {
      synchronized (FeatureV2ServiceGrpc.class) {
        if ((getMultiGetFeatureMethod = FeatureV2ServiceGrpc.getMultiGetFeatureMethod) == null) {
          FeatureV2ServiceGrpc.getMultiGetFeatureMethod = getMultiGetFeatureMethod =
              io.grpc.MethodDescriptor.<com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureRequest, com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureResponse>newBuilder()
              .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
              .setFullMethodName(generateFullMethodName(SERVICE_NAME, "MultiGetFeature"))
              .setSampledToLocalTracing(true)
              .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
                  com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureRequest.getDefaultInstance()))
              .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
                  com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureResponse.getDefaultInstance()))
              .setSchemaDescriptor(new FeatureV2ServiceMethodDescriptorSupplier("MultiGetFeature"))
              .build();
        }
      }
    }
    return getMultiGetFeatureMethod;
  }

  /**
   * Creates a new async stub that supports all call types for the service
   */
  public static FeatureV2ServiceStub newStub(io.grpc.Channel channel) {
    io.grpc.stub.AbstractStub.StubFactory<FeatureV2ServiceStub> factory =
      new io.grpc.stub.AbstractStub.StubFactory<FeatureV2ServiceStub>() {
        @java.lang.Override
        public FeatureV2ServiceStub newStub(io.grpc.Channel channel, io.grpc.CallOptions callOptions) {
          return new FeatureV2ServiceStub(channel, callOptions);
        }
      };
    return FeatureV2ServiceStub.newStub(factory, channel);
  }

  /**
   * Creates a new blocking-style stub that supports unary and streaming output calls on the service
   */
  public static FeatureV2ServiceBlockingStub newBlockingStub(
      io.grpc.Channel channel) {
    io.grpc.stub.AbstractStub.StubFactory<FeatureV2ServiceBlockingStub> factory =
      new io.grpc.stub.AbstractStub.StubFactory<FeatureV2ServiceBlockingStub>() {
        @java.lang.Override
        public FeatureV2ServiceBlockingStub newStub(io.grpc.Channel channel, io.grpc.CallOptions callOptions) {
          return new FeatureV2ServiceBlockingStub(channel, callOptions);
        }
      };
    return FeatureV2ServiceBlockingStub.newStub(factory, channel);
  }

  /**
   * Creates a new ListenableFuture-style stub that supports unary calls on the service
   */
  public static FeatureV2ServiceFutureStub newFutureStub(
      io.grpc.Channel channel) {
    io.grpc.stub.AbstractStub.StubFactory<FeatureV2ServiceFutureStub> factory =
      new io.grpc.stub.AbstractStub.StubFactory<FeatureV2ServiceFutureStub>() {
        @java.lang.Override
        public FeatureV2ServiceFutureStub newStub(io.grpc.Channel channel, io.grpc.CallOptions callOptions) {
          return new FeatureV2ServiceFutureStub(channel, callOptions);
        }
      };
    return FeatureV2ServiceFutureStub.newStub(factory, channel);
  }

  /**
   */
  public static abstract class FeatureV2ServiceImplBase implements io.grpc.BindableService {

    /**
     */
    public void multiGetFeature(com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureRequest request,
        io.grpc.stub.StreamObserver<com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureResponse> responseObserver) {
      asyncUnimplementedUnaryCall(getMultiGetFeatureMethod(), responseObserver);
    }

    @java.lang.Override public final io.grpc.ServerServiceDefinition bindService() {
      return io.grpc.ServerServiceDefinition.builder(getServiceDescriptor())
          .addMethod(
            getMultiGetFeatureMethod(),
            asyncUnaryCall(
              new MethodHandlers<
                com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureRequest,
                com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureResponse>(
                  this, METHODID_MULTI_GET_FEATURE)))
          .build();
    }
  }

  /**
   */
  public static final class FeatureV2ServiceStub extends io.grpc.stub.AbstractAsyncStub<FeatureV2ServiceStub> {
    private FeatureV2ServiceStub(
        io.grpc.Channel channel, io.grpc.CallOptions callOptions) {
      super(channel, callOptions);
    }

    @java.lang.Override
    protected FeatureV2ServiceStub build(
        io.grpc.Channel channel, io.grpc.CallOptions callOptions) {
      return new FeatureV2ServiceStub(channel, callOptions);
    }

    /**
     */
    public void multiGetFeature(com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureRequest request,
        io.grpc.stub.StreamObserver<com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(getMultiGetFeatureMethod(), getCallOptions()), request, responseObserver);
    }
  }

  /**
   */
  public static final class FeatureV2ServiceBlockingStub extends io.grpc.stub.AbstractBlockingStub<FeatureV2ServiceBlockingStub> {
    private FeatureV2ServiceBlockingStub(
        io.grpc.Channel channel, io.grpc.CallOptions callOptions) {
      super(channel, callOptions);
    }

    @java.lang.Override
    protected FeatureV2ServiceBlockingStub build(
        io.grpc.Channel channel, io.grpc.CallOptions callOptions) {
      return new FeatureV2ServiceBlockingStub(channel, callOptions);
    }

    /**
     */
    public com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureResponse multiGetFeature(com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureRequest request) {
      return blockingUnaryCall(
          getChannel(), getMultiGetFeatureMethod(), getCallOptions(), request);
    }
  }

  /**
   */
  public static final class FeatureV2ServiceFutureStub extends io.grpc.stub.AbstractFutureStub<FeatureV2ServiceFutureStub> {
    private FeatureV2ServiceFutureStub(
        io.grpc.Channel channel, io.grpc.CallOptions callOptions) {
      super(channel, callOptions);
    }

    @java.lang.Override
    protected FeatureV2ServiceFutureStub build(
        io.grpc.Channel channel, io.grpc.CallOptions callOptions) {
      return new FeatureV2ServiceFutureStub(channel, callOptions);
    }

    /**
     */
    public com.google.common.util.concurrent.ListenableFuture<com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureResponse> multiGetFeature(
        com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureRequest request) {
      return futureUnaryCall(
          getChannel().newCall(getMultiGetFeatureMethod(), getCallOptions()), request);
    }
  }

  private static final int METHODID_MULTI_GET_FEATURE = 0;

  private static final class MethodHandlers<Req, Resp> implements
      io.grpc.stub.ServerCalls.UnaryMethod<Req, Resp>,
      io.grpc.stub.ServerCalls.ServerStreamingMethod<Req, Resp>,
      io.grpc.stub.ServerCalls.ClientStreamingMethod<Req, Resp>,
      io.grpc.stub.ServerCalls.BidiStreamingMethod<Req, Resp> {
    private final FeatureV2ServiceImplBase serviceImpl;
    private final int methodId;

    MethodHandlers(FeatureV2ServiceImplBase serviceImpl, int methodId) {
      this.serviceImpl = serviceImpl;
      this.methodId = methodId;
    }

    @java.lang.Override
    @java.lang.SuppressWarnings("unchecked")
    public void invoke(Req request, io.grpc.stub.StreamObserver<Resp> responseObserver) {
      switch (methodId) {
        case METHODID_MULTI_GET_FEATURE:
          serviceImpl.multiGetFeature((com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureRequest) request,
              (io.grpc.stub.StreamObserver<com.tzld.piaoquan.recommend.feature.model.feature.MultiGetFeatureResponse>) responseObserver);
          break;
        default:
          throw new AssertionError();
      }
    }

    @java.lang.Override
    @java.lang.SuppressWarnings("unchecked")
    public io.grpc.stub.StreamObserver<Req> invoke(
        io.grpc.stub.StreamObserver<Resp> responseObserver) {
      switch (methodId) {
        default:
          throw new AssertionError();
      }
    }
  }

  private static abstract class FeatureV2ServiceBaseDescriptorSupplier
      implements io.grpc.protobuf.ProtoFileDescriptorSupplier, io.grpc.protobuf.ProtoServiceDescriptorSupplier {
    FeatureV2ServiceBaseDescriptorSupplier() {}

    @java.lang.Override
    public com.google.protobuf.Descriptors.FileDescriptor getFileDescriptor() {
      return com.tzld.piaoquan.recommend.feature.model.feature.FeatureV2.getDescriptor();
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.ServiceDescriptor getServiceDescriptor() {
      return getFileDescriptor().findServiceByName("FeatureV2Service");
    }
  }

  private static final class FeatureV2ServiceFileDescriptorSupplier
      extends FeatureV2ServiceBaseDescriptorSupplier {
    FeatureV2ServiceFileDescriptorSupplier() {}
  }

  private static final class FeatureV2ServiceMethodDescriptorSupplier
      extends FeatureV2ServiceBaseDescriptorSupplier
      implements io.grpc.protobuf.ProtoMethodDescriptorSupplier {
    private final String methodName;

    FeatureV2ServiceMethodDescriptorSupplier(String methodName) {
      this.methodName = methodName;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.MethodDescriptor getMethodDescriptor() {
      return getServiceDescriptor().findMethodByName(methodName);
    }
  }

  private static volatile io.grpc.ServiceDescriptor serviceDescriptor;

  public static io.grpc.ServiceDescriptor getServiceDescriptor() {
    io.grpc.ServiceDescriptor result = serviceDescriptor;
    if (result == null) {
      synchronized (FeatureV2ServiceGrpc.class) {
        result = serviceDescriptor;
        if (result == null) {
          serviceDescriptor = result = io.grpc.ServiceDescriptor.newBuilder(SERVICE_NAME)
              .setSchemaDescriptor(new FeatureV2ServiceFileDescriptorSupplier())
              .addMethod(getMultiGetFeatureMethod())
              .build();
        }
      }
    }
    return result;
  }
}
