package com.tzld.piaoquan.recommend.feature.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.core.annotation.Order;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @author dyp
 */
@Component
@Order(1)
public class WarmUpService {
    @Autowired
    @Qualifier("redisTemplate")
    private RedisTemplate<String, String> redisTemplate;
    @Autowired
    @Qualifier("tairTemplate")
    private RedisTemplate<String, String> tairTemplate;

    @PostConstruct
    public void warmup() {
        redisTemplate.opsForValue().get("");
        tairTemplate.opsForValue().get("");
    }
}
